You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
30 lines
1.1 KiB
30 lines
1.1 KiB
From 1b23c6c65c39630cb62faa2503817759f83d880b Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Wed, 17 Aug 2016 16:41:21 +0200 |
|
Subject: [PATCH] url-lib: ca-bundle.crt changed to a symlink |
|
|
|
use inst() instead of inst_simple() |
|
|
|
/etc/pki/tls/certs/ca-bundle.crt is a symlink to |
|
../../ca-trust/extracted/pem/tls-ca-bundle.pem |
|
|
|
with inst() we install the original file also. |
|
|
|
https://bugzilla.redhat.com/show_bug.cgi?id=1341280 |
|
--- |
|
modules.d/45url-lib/module-setup.sh | 2 +- |
|
1 file changed, 1 insertion(+), 1 deletion(-) |
|
|
|
diff --git a/modules.d/45url-lib/module-setup.sh b/modules.d/45url-lib/module-setup.sh |
|
index f2d068b3..6a2bb832 100755 |
|
--- a/modules.d/45url-lib/module-setup.sh |
|
+++ b/modules.d/45url-lib/module-setup.sh |
|
@@ -28,7 +28,7 @@ install() { |
|
_crt=$(grep -F --binary-files=text -z .crt $_lib) |
|
[[ $_crt ]] || continue |
|
[[ $_crt == /*/* ]] || continue |
|
- if ! inst_simple "$_crt"; then |
|
+ if ! inst "$_crt"; then |
|
dwarn "Couldn't install '$_crt' SSL CA cert bundle; HTTPS might not work." |
|
continue |
|
fi
|
|
|